# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-numdisplay
# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define upname numdisplay

Name: python-module-numdisplay
Version: 1.5.6
Release: alt1_7
Summary: Visualize numpy array objects in ds9

Group: Development/Python
License: BSD

URL: http://stsdas.stsci.edu/numdisplay
Source0: http://stsdas.stsci.edu/download/stsci_python_2.7/numdisplay-%{version}.tar.gz
Patch0: numdisplay-numpy-fix.patch
Provides: numdisplay
BuildRequires: python-devel
BuildArch: noarch
Source44: import.info

%description
Numdisplay provides the capability to visualize numpy array objects using 
astronomical image display tools such as DS9 or XIMTOOL directly from 
the Python command line. This task can display any numpy object, whether 
it was created interactively or read in from a FITS file using PyFITS 
on any platform which supports Python and numpy.

%prep
%setup -q -n %{upname}
%patch0 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc lib/LICENSE.txt 
%{python_sitelibdir_noarch}/%{upname}
%{python_sitelibdir_noarch}/%{upname}*.egg-info
%exclude %{python_sitelibdir_noarch}/%{upname}/LICENSE.txt

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_7
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_6
- initial fc import

